#!/bin/sh -e

if [ ! -d /Applications/CrossOver.app ]; then
  echo "Nainstaluj CrossOver do /Applications!"
  exit 1
fi

# Fix updating DB
sudo cp "./libcxsetup-v3.py" /Applications/CrossOver.app/Contents/Resources

# Resign to avoid corruption
sudo xattr -c /Applications/CrossOver.app
sudo codesign --remove-signature /Applications/CrossOver.app/Contents/MacOS/CrossOver


# Fix license
cd ~/Library/Preferences/
openssl genrsa -out key.pem 2048
openssl rsa -in key.pem -outform PEM -pubout -out public.pem
sudo mv public.pem /Applications/CrossOver.app/Contents/SharedSupport/CrossOver/share/crossover/data/tie.pub
sudo rm -f com.codeweavers.CrossOver.license com.codeweavers.CrossOver.sha256
printf "[crossmac]\ncustomer=user\nemail=user@apple.com\nexpires=2030/01/01\n[license]\nid=a4xdUZD2bWB00tQI" > com.codeweavers.CrossOver.license
openssl dgst -sha256 -sign key.pem -out com.codeweavers.CrossOver.sha256 com.codeweavers.CrossOver.license
rm key.pem
echo "Konec."